Apply
curl --request PATCH \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/bulk-edit/components \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parents": [
{
"slotId": "<string>",
"slotVersion": 123,
"primaryItemId": "<string>",
"primaryItemVersion": 4503599627370495
}
],
"targets": [
{
"componentId": "<string>",
"componentVersion": 123,
"catalogFamilyId": "<string>",
"catalogItemId": "<string>",
"catalogItemSourceId": "<string>",
"links": [
{
"parentId": "<string>",
"parentItemId": "<string>",
"linkId": "<string>"
}
]
}
],
"fieldKey": "<string>",
"value": "<string>",
"selectionMode": "components",
"coreChangeIntent": "save_in_project"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/bulk-edit/components"
payload = {
"parents": [
{
"slotId": "<string>",
"slotVersion": 123,
"primaryItemId": "<string>",
"primaryItemVersion": 4503599627370495
}
],
"targets": [
{
"componentId": "<string>",
"componentVersion": 123,
"catalogFamilyId": "<string>",
"catalogItemId": "<string>",
"catalogItemSourceId": "<string>",
"links": [
{
"parentId": "<string>",
"parentItemId": "<string>",
"linkId": "<string>"
}
]
}
],
"fieldKey": "<string>",
"value": "<string>",
"selectionMode": "components",
"coreChangeIntent": "save_in_project"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parents: [
{
slotId: '<string>',
slotVersion: 123,
primaryItemId: '<string>',
primaryItemVersion: 4503599627370495
}
],
targets: [
{
componentId: '<string>',
componentVersion: 123,
catalogFamilyId: '<string>',
catalogItemId: '<string>',
catalogItemSourceId: '<string>',
links: [{parentId: '<string>', parentItemId: '<string>', linkId: '<string>'}]
}
],
fieldKey: '<string>',
value: '<string>',
selectionMode: 'components',
coreChangeIntent: 'save_in_project'
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/bulk-edit/components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updatedCount": 123,
"slotIds": [
"<string>"
],
"projectItemIds": [
"<string>"
],
"affectedCatalogFamilyIds": [
"<string>"
],
"affectedParentPiIds": [
"<string>"
]
}Specification Component Bulk Edit
Apply
PATCH
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
item-slots
/
bulk-edit
/
components
Apply
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum array length:
100Show child attributes
Show child attributes
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Required string length:
1 - 255Allowed value:
"components"Allowed value:
"save_in_project"⌘I